package com.winhc.repal.enums;

/**
 * @author Aaron
 * @date 2020/12/19 9:47
 * @description
 */
public enum FinanceDynamicTypeEnum {
    /**
     * 财产动态类型
     */
    新增破产公告("1","新增破产公告"),注册资本上升("2","注册资本上升"),新增招标信息("3","新增招标信息"),
    软件著作权("4","新增软件著作权"),作品著作权("5","新增作品著作权"),有恢复执行案件即将开庭("6","有恢复执行案件即将开庭"),
    失信信息移除("7","失信信息移除"),出质了持有股权("8","出质了持有股权"),有新的融资("9","有新的融资"),
    新增了股东("10","新增了股东"),股东退出("11","股东退出"),购买了新的土地("12","购买了新的土地"),
    抵押了公司土地("13","抵押了公司土地"),资产被抵押("14","资产被抵押"),新增专利信息("15","新增专利信息"),
    新增商标信息("16","新增商标信息"),被执行人信息移除("17","被执行人信息移除"),限制高消费移除("18","限制高消费移除"),
    有恢复执行案件("19","有恢复执行案件"),新增胜诉案件("20","新增胜诉案件"),接受了他人土地抵押("21","接受了他人土地抵押"),
    有资产即将被司法拍卖("22","有资产即将被司法拍卖");

    private String code;
    private String desc;

    FinanceDynamicTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDescByCode(String code) {
        for (FinanceDynamicTypeEnum e : FinanceDynamicTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e.getDesc();
            }
        }
        return null;
    }
}
