package com.winhc.repal.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @Description: RepalBillPageVO
 * @Author: xda
 * @Date: 2022/4/8 11:13
 */
@Data
@ApiModel("账款分页对象")
public class RepalBillPageVO {



    @ApiModelProperty(value = "账款id")
    private Long repalBillId;

    @ApiModelProperty(value = "账本id")
    private Long repalBookId;

    @ApiModelProperty(value = "账款逾期状态，1进行中，2三天后到期，3已逾期.4已结清。5已终止")
    private Integer repalOverdueStatus;

    @ApiModelProperty(value = "本次评估等级")
    private String diagnosisGrade;

    @ApiModelProperty(value = "本次评估分数趋势，1上升，2下降。0持平")
    private Integer diagnosisScoreTrend;

    @ApiModelProperty(value = "本次评估分数")
    private String diagnosisScore;

    @ApiModelProperty("动态countList")
    private List<Integer> dynamicCountList;

    @ApiModelProperty("到期日期,字符串,格式yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "账款总金额")
    private String totalMoneyStr;

    @ApiModelProperty(value = "待收金额/待付金额")
    private String receivableMoneyStr;

    @ApiModelProperty(value = "负责人name，、分隔")
    private String responsiblePersonNames;


}
