package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalRolePermission;

import java.util.Set;


/**
 * @description RepalRolePermission 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalRolePermissionService extends IService<RepalRolePermission> {


    /**
     * 校验用户权限
     * @param userId userId
     * @param code code
     * @return boolean
     * @author xda
     * @date 2022/4/28 17:54
     */
    Boolean checkUserPermission(Long userId, String code);

    /**
     * 获取用户权限集合
     * @param userId userId
     * @return java.util.Set<java.lang.String>
     * @author xda
     * @date 2022/4/28 16:32
     */
    Set<String> getUserPermissionCodeSet(Long userId);

    /**
     * 用户权限放入redis
     * @param userId userId
     * @param codeSet codeSet
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/4/28 17:13
     */
    Boolean processUserPermissionCache(Long userId, Set<String> codeSet);

}
